Index: /LMDZ6/trunk/libf/phylmd/Dust/aeropt_spl.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/Dust/aeropt_spl.f90	(revision 5336)
+++ /LMDZ6/trunk/libf/phylmd/Dust/aeropt_spl.f90	(revision 5337)
@@ -10,6 +10,5 @@
 USE chem_mod_h
     USE dimphy
-  USE infotrac
-  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+  USE infotrac_phy, ONLY: nbtr
 USE yomcst_mod_h
 IMPLICIT none
Index: /LMDZ6/trunk/libf/phylmd/Dust/bcscav_spl.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/Dust/bcscav_spl.f90	(revision 5336)
+++ /LMDZ6/trunk/libf/phylmd/Dust/bcscav_spl.f90	(revision 5337)
@@ -2,5 +2,4 @@
 
   USE dimphy
-  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
   USE yomcst_mod_h
   USE yoecumf_mod_h
Index: /LMDZ6/trunk/libf/phylmd/Dust/bl_for_dms.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/Dust/bl_for_dms.f90	(revision 5336)
+++ /LMDZ6/trunk/libf/phylmd/Dust/bl_for_dms.f90	(revision 5337)
@@ -2,5 +2,4 @@
         ,t,q,tsol,ustar,obklen)
   USE dimphy
-  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
 USE yomcst_mod_h
   USE yoethf_mod_h
Index: /LMDZ6/trunk/libf/phylmd/Dust/blcloud_scav.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/Dust/blcloud_scav.f90	(revision 5336)
+++ /LMDZ6/trunk/libf/phylmd/Dust/blcloud_scav.f90	(revision 5337)
@@ -8,7 +8,6 @@
     USE dimphy
   USE indice_sol_mod
-  USE infotrac
-  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h
+  USE infotrac_phy, ONLY: nbtr
+!USE paramet_mod_h
 USE yomcst_mod_h
 IMPLICIT NONE
Index: /LMDZ6/trunk/libf/phylmd/Dust/blcloud_scav_lsc.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/Dust/blcloud_scav_lsc.f90	(revision 5336)
+++ /LMDZ6/trunk/libf/phylmd/Dust/blcloud_scav_lsc.f90	(revision 5337)
@@ -8,7 +8,6 @@
     USE dimphy
   USE indice_sol_mod
-  USE infotrac
-  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h
+  USE infotrac_phy, ONLY: nbtr
+!USE paramet_mod_h
 USE yomcst_mod_h
 IMPLICIT NONE
Index: /LMDZ6/trunk/libf/phylmd/Dust/cltrac_spl.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/Dust/cltrac_spl.f90	(revision 5336)
+++ /LMDZ6/trunk/libf/phylmd/Dust/cltrac_spl.f90	(revision 5337)
@@ -4,5 +4,4 @@
   USE yomcst_mod_h
   USE dimphy
-  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
 IMPLICIT none
   !======================================================================
Index: /LMDZ6/trunk/libf/phylmd/Dust/cm3_to_kg.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/Dust/cm3_to_kg.f90	(revision 5336)
+++ /LMDZ6/trunk/libf/phylmd/Dust/cm3_to_kg.f90	(revision 5337)
@@ -2,8 +2,6 @@
 
   USE dimphy
-  USE infotrac
   USE indice_sol_mod
 
-  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
 USE yomcst_mod_h
 IMPLICIT NONE
Index: /LMDZ6/trunk/libf/phylmd/Dust/coarsemission.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/Dust/coarsemission.f90	(revision 5336)
+++ /LMDZ6/trunk/libf/phylmd/Dust/coarsemission.f90	(revision 5337)
@@ -30,9 +30,8 @@
     USE dimphy
   USE indice_sol_mod
-  USE infotrac
+  USE infotrac_phy, ONLY: nbtr
   USE dustemission_mod,  ONLY : dustemission
    ! USE phytracr_spl_mod, ONLY : nbreg_dust, nbreg_ind, nbreg_bb
-  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h
+!!USE paramet_mod_h
 USE yomcst_mod_h
 IMPLICIT NONE
Index: /LMDZ6/trunk/libf/phylmd/Dust/condsurfc.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/Dust/condsurfc.f90	(revision 5336)
+++ /LMDZ6/trunk/libf/phylmd/Dust/condsurfc.f90	(revision 5337)
@@ -5,5 +5,4 @@
   USE dimphy
   USE netcdf, ONLY: nf90_close, nf90_noerr, nf90_inq_varid, nf90_open, nf90_nowrite, nf90_get_var
-  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
 IMPLICIT none
   !
Index: /LMDZ6/trunk/libf/phylmd/Dust/condsurfc_new.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/Dust/condsurfc_new.f90	(revision 5336)
+++ /LMDZ6/trunk/libf/phylmd/Dust/condsurfc_new.f90	(revision 5337)
@@ -7,5 +7,4 @@
   USE dimphy
   USE netcdf, ONLY: nf90_get_var, nf90_close, nf90_noerr, nf90_inq_varid, nf90_open, nf90_nowrite
-  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
 IMPLICIT none
   !
Index: /LMDZ6/trunk/libf/phylmd/Dust/condsurfs.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/Dust/condsurfs.f90	(revision 5336)
+++ /LMDZ6/trunk/libf/phylmd/Dust/condsurfs.f90	(revision 5337)
@@ -6,5 +6,4 @@
    USE netcdf, ONLY: nf90_close, nf90_noerr, nf90_inq_varid, nf90_open, &
           nf90_nowrite, nf90_get_var
-  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
 IMPLICIT none
   !
Index: /LMDZ6/trunk/libf/phylmd/Dust/condsurfs_new_mod.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/Dust/condsurfs_new_mod.f90	(revision 5336)
+++ /LMDZ6/trunk/libf/phylmd/Dust/condsurfs_new_mod.f90	(revision 5337)
@@ -12,5 +12,5 @@
     IF (status/=nf90_noerr) THEN
       PRINT *, nf90_strerror(status)
-      CALL abort_gcm('condsurfs_new', 'netcdf error', 1)
+      CALL abort_physic('condsurfs_new', 'netcdf error', 1)
     ENDIF
   END SUBROUTINE handle_err
@@ -27,5 +27,4 @@
   USE dimphy
   USE netcdf, ONLY: nf90_get_var, nf90_inq_varid, nf90_close, nf90_noerr, nf90_open, nf90_nowrite
-  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
 IMPLICIT none
   !
Index: /LMDZ6/trunk/libf/phylmd/Dust/deposition.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/Dust/deposition.f90	(revision 5336)
+++ /LMDZ6/trunk/libf/phylmd/Dust/deposition.f90	(revision 5337)
@@ -8,9 +8,8 @@
 USE chem_mod_h
     USE dimphy
-  USE infotrac
+  USE infotrac_phy, ONLY: nbtr
   USE indice_sol_mod
 
-  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h
+!!USE paramet_mod_h
 USE yomcst_mod_h
 IMPLICIT NONE
Index: /LMDZ6/trunk/libf/phylmd/Dust/dustemission_mod.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/Dust/dustemission_mod.f90	(revision 5336)
+++ /LMDZ6/trunk/libf/phylmd/Dust/dustemission_mod.f90	(revision 5337)
@@ -171,5 +171,5 @@
                           emdustacc,emdustcoa,emdustsco,maskdust)    !Output
   USE dimphy
-  USE infotrac
+  USE infotrac_phy, ONLY: nbtr
   USE write_field_phy
   USE mod_grid_phy_lmdz
@@ -248,5 +248,5 @@
  SUBROUTINE makemask(maskdustloc) 
   USE dimphy
-  USE infotrac
+  USE infotrac_phy, ONLY: nbtr
   IMPLICIT NONE
   !Input
@@ -278,5 +278,5 @@
 
   USE dimphy
-  USE infotrac
+  USE infotrac_phy, ONLY: nbtr
   USE write_field_phy
   USE mod_grid_phy_lmdz
@@ -523,5 +523,5 @@
   SUBROUTINE initdust(xlat,xlon,pctsrf)
   USE dimphy
-  USE infotrac
+  USE infotrac_phy, ONLY: nbtr
   USE write_field_phy
   USE mod_grid_phy_lmdz
@@ -1112,5 +1112,5 @@
   ! emisions over 12 dust bin
   USE dimphy
-  USE infotrac
+  USE infotrac_phy, ONLY: nbtr
 
   IMPLICIT NONE
Index: /LMDZ6/trunk/libf/phylmd/Dust/finemission.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/Dust/finemission.f90	(revision 5336)
+++ /LMDZ6/trunk/libf/phylmd/Dust/finemission.f90	(revision 5337)
@@ -14,8 +14,7 @@
     USE dimphy
   USE indice_sol_mod
-  USE infotrac
+  USE infotrac_phy, ONLY: nbtr
    ! USE phytracr_spl_mod, ONLY : nbreg_dust, nbreg_ind, nbreg_bb
-  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h
+!!USE paramet_mod_h
 USE yomcst_mod_h
 IMPLICIT NONE
Index: /LMDZ6/trunk/libf/phylmd/Dust/gastoparticle.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/Dust/gastoparticle.f90	(revision 5336)
+++ /LMDZ6/trunk/libf/phylmd/Dust/gastoparticle.f90	(revision 5337)
@@ -8,8 +8,7 @@
   USE yoecumf_mod_h
     USE dimphy
-  USE infotrac
+  USE infotrac_phy, ONLY: nbtr
    ! USE indice_sol_mod
 
-  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
 USE yomcst_mod_h
 IMPLICIT NONE
Index: /LMDZ6/trunk/libf/phylmd/Dust/incloud_scav.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/Dust/incloud_scav.f90	(revision 5336)
+++ /LMDZ6/trunk/libf/phylmd/Dust/incloud_scav.f90	(revision 5337)
@@ -7,9 +7,8 @@
 USE chem_mod_h
     USE dimphy
-  USE infotrac
+  USE infotrac_phy, ONLY: nbtr
   USE indice_sol_mod
 
-  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h
+!!USE paramet_mod_h
 USE yomcst_mod_h
 IMPLICIT NONE
Index: /LMDZ6/trunk/libf/phylmd/Dust/incloud_scav_lsc.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/Dust/incloud_scav_lsc.f90	(revision 5336)
+++ /LMDZ6/trunk/libf/phylmd/Dust/incloud_scav_lsc.f90	(revision 5337)
@@ -7,9 +7,8 @@
 USE chem_mod_h
     USE dimphy
-  USE infotrac
+  USE infotrac_phy, ONLY: nbtr
   USE indice_sol_mod
 
-  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h
+!!USE paramet_mod_h
 USE yomcst_mod_h
 IMPLICIT NONE
Index: /LMDZ6/trunk/libf/phylmd/Dust/inscav_spl.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/Dust/inscav_spl.f90	(revision 5336)
+++ /LMDZ6/trunk/libf/phylmd/Dust/inscav_spl.f90	(revision 5337)
@@ -3,5 +3,4 @@
         his_dh)
   USE dimphy
-  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
   USE yomcst_mod_h
   USE yoecumf_mod_h
Index: /LMDZ6/trunk/libf/phylmd/Dust/kg_to_cm3.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/Dust/kg_to_cm3.f90	(revision 5336)
+++ /LMDZ6/trunk/libf/phylmd/Dust/kg_to_cm3.f90	(revision 5337)
@@ -2,6 +2,5 @@
   !
   USE dimphy
-  USE infotrac
-  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+  USE infotrac_phy, ONLY: nbtr
 USE yomcst_mod_h
 IMPLICIT NONE
Index: /LMDZ6/trunk/libf/phylmd/Dust/lsc_scav_orig.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/Dust/lsc_scav_orig.f90	(revision 5336)
+++ /LMDZ6/trunk/libf/phylmd/Dust/lsc_scav_orig.f90	(revision 5337)
@@ -9,9 +9,8 @@
   USE mod_phys_lmdz_para
   USE traclmdz_mod
-  USE infotrac,ONLY : nbtr
+  USE infotrac_phy, ONLY: nbtr
 !!!  USE geometry_mod
   USE iophy
 
-  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
   USE yomcst_mod_h
   USE yoecumf_mod_h
Index: /LMDZ6/trunk/libf/phylmd/Dust/lsc_scav_spl.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/Dust/lsc_scav_spl.f90	(revision 5336)
+++ /LMDZ6/trunk/libf/phylmd/Dust/lsc_scav_spl.f90	(revision 5337)
@@ -11,8 +11,7 @@
   USE mod_phys_lmdz_para
   USE traclmdz_mod
-  USE infotrac,ONLY : nbtr
+  USE infotrac_phy, ONLY: nbtr
 !  USE comgeomphy
   USE iophy
-  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
   USE yomcst_mod_h
   USE yoecumf_mod_h
Index: /LMDZ6/trunk/libf/phylmd/Dust/minmaxqfi2.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/Dust/minmaxqfi2.f90	(revision 5336)
+++ /LMDZ6/trunk/libf/phylmd/Dust/minmaxqfi2.f90	(revision 5337)
@@ -2,6 +2,5 @@
   !
   USE dimphy
-  USE infotrac
-  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+  USE infotrac_phy, ONLY: nbtr
 
    ! character*20 comment
Index: /LMDZ6/trunk/libf/phylmd/Dust/minmaxsource.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/Dust/minmaxsource.f90	(revision 5336)
+++ /LMDZ6/trunk/libf/phylmd/Dust/minmaxsource.f90	(revision 5337)
@@ -2,6 +2,5 @@
 
   USE dimphy
-  USE infotrac
-  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+  USE infotrac_phy, ONLY: nbtr
 
    ! character*20 comment
Index: /LMDZ6/trunk/libf/phylmd/Dust/neutral.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/Dust/neutral.f90	(revision 5336)
+++ /LMDZ6/trunk/libf/phylmd/Dust/neutral.f90	(revision 5337)
@@ -28,5 +28,4 @@
   !
   USE dimphy
-  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
   !
     real :: u10_mps(klon),ustar_mps(klon),obklen_m(klon)
Index: /LMDZ6/trunk/libf/phylmd/Dust/nightingale.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/Dust/nightingale.f90	(revision 5336)
+++ /LMDZ6/trunk/libf/phylmd/Dust/nightingale.f90	(revision 5337)
@@ -5,5 +5,4 @@
   USE dimphy
   USE indice_sol_mod
-  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
 USE yomcst_mod_h
 IMPLICIT NONE
Index: /LMDZ6/trunk/libf/phylmd/Dust/phys_output_write_spl_mod.F90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/Dust/phys_output_write_spl_mod.F90	(revision 5336)
+++ /LMDZ6/trunk/libf/phylmd/Dust/phys_output_write_spl_mod.F90	(revision 5337)
@@ -93,5 +93,4 @@
         USE dimphy, ONLY: klon, klev, klevp1
     USE ocean_slab_mod, ONLY: nslay
-    USE control_mod, ONLY: day_step, iphysiq
     USE phys_output_ctrlout_mod, ONLY: o_phis, o_aire, is_ter, is_lic, is_oce, &
          is_ave, is_sic, o_contfracATM, o_contfracOR, &
@@ -382,5 +381,5 @@
     USE pbl_surface_mod, ONLY: snow
     USE indice_sol_mod, ONLY: nbsrf
-    USE infotrac, ONLY: nqtot, nbtr, tracers
+    USE infotrac_phy, ONLY: nqtot, nbtr, tracers
     USE geometry_mod, ONLY: cell_area
     USE surface_data, ONLY: type_ocean, version_ocean, ok_veget, landice_opt
@@ -395,5 +394,5 @@
     USE phys_cal_mod, ONLY : mth_len
 
-    USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+    USE mod_grid_phy_lmdz, ONLY: nbp_lon, nbp_lat, nbp_lev
     USE yomcst_mod_h
     USE clesphys_mod_h
@@ -418,5 +417,5 @@
     REAL, DIMENSION(klon,klev,nqtot) :: qx, d_qx
     REAL,DIMENSION(klon,klev,nbtr),INTENT(IN)    :: d_tr_dyn
-    REAL, DIMENSION(klon, llm) :: zmasse
+    REAL, DIMENSION(klon, nbp_lev) :: zmasse
     INTEGER :: flag_aerosol_strat
     INTEGER :: flag_aerosol 
@@ -425,5 +424,4 @@
 
     ! Local
-    INTEGER, PARAMETER :: jjmp1=jjm+1-1/jjm
     INTEGER :: itau_w
     INTEGER :: i, iinit, iinitend=1, iff, iq, itr, nsrf, k, ll, naero
@@ -432,6 +430,6 @@
     REAL, DIMENSION (klon,klev+1) :: zx_tmp_fi3d1
     CHARACTER (LEN=4)              :: bb2
-    INTEGER, DIMENSION(iim*jjmp1)  :: ndex2d
-    INTEGER, DIMENSION(iim*jjmp1*klev) :: ndex3d
+    INTEGER, DIMENSION(nbp_lon*nbp_lat)  :: ndex2d
+    INTEGER, DIMENSION(nbp_lon*nbp_lat*klev) :: ndex3d
     REAL :: missing_val
     REAL, PARAMETER :: un_jour=86400.
Index: /LMDZ6/trunk/libf/phylmd/Dust/phytracr_spl_mod.F90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/Dust/phytracr_spl_mod.F90	(revision 5336)
+++ /LMDZ6/trunk/libf/phylmd/Dust/phytracr_spl_mod.F90	(revision 5337)
@@ -435,5 +435,5 @@
     IF (status/=nf90_noerr) THEN
       PRINT *, nf90_strerror(status)
-      CALL abort_gcm('phytrac_spl_mod', 'netcdf error', 1)
+      CALL abort_physic('phytrac_spl_mod', 'netcdf error', 1)
     ENDIF
   END SUBROUTINE handle_err
@@ -806,9 +806,8 @@
 
       USE yomcst_mod_h
-      USE mod_grid_phy_lmdz
       USE mod_phys_lmdz_para
       USE IOIPSL
       USE dimphy
-      USE infotrac
+      USE infotrac_phy, ONLY: nbtr, nqtot, tracers
       USE indice_sol_mod
       USE write_field_phy
@@ -819,6 +818,6 @@
       USE phys_cal_mod, only: jD_1jan,year_len, mth_len, days_elapsed, jh_1jan, year_cur, &
                               mth_cur, phys_cal_update
-      USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-      USE paramet_mod_h
+      USE mod_grid_phy_lmdz, ONLY: nbp_lon, nbp_lat, nbp_lev, klon_glo
+!!      USE paramet_mod_h
       USE alpale_mod
       USE yoethf_mod_h
@@ -1153,5 +1152,5 @@
 !!!JE2014124      PARAMETER (ok_histrac=.true.)
 !!      PARAMETER (ok_histrac=.false.)
-      INTEGER ndex2d(iim*(jjm+1)), ndex3d(iim*(jjm+1)*klev)
+      INTEGER ndex2d(nbp_lon*nbp_lat), ndex3d(nbp_lon*nbp_lat*klev)
       INTEGER nhori1, nhori2, nhori3, nhori4, nhori5, nvert
       INTEGER nid_tra1, nid_tra2, nid_tra3, nid_tra4, nid_tra5
@@ -1165,5 +1164,5 @@
 !$OMP THREADPRIVATE(ecrit_tra, ecrit_tra_h, ecrit_tra_m)
       REAL presnivs(klev) ! pressions approximat. des milieux couches ( en PA)
-      REAL zx_tmp_2d(iim,jjm+1), zx_tmp_3d(iim,jjm+1,klev)
+      REAL zx_tmp_2d(nbp_lon,nbp_lat), zx_tmp_3d(nbp_lon,nbp_lat,klev)
       REAL zx_tmp_fi2d(klon), zx_tmp_fi3d(klon, klev)
       REAL zx_lon_glo(nbp_lon,nbp_lat), zx_lat_glo(nbp_lon,nbp_lat)
Index: /LMDZ6/trunk/libf/phylmd/Dust/precuremission.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/Dust/precuremission.f90	(revision 5336)
+++ /LMDZ6/trunk/libf/phylmd/Dust/precuremission.f90	(revision 5337)
@@ -18,10 +18,9 @@
 USE chem_spla_mod_h
   USE chem_mod_h
-    USE dimphy
+  USE dimphy
   USE indice_sol_mod
-  USE infotrac
+  USE infotrac_phy, ONLY: nbtr
    ! USE phytracr_spl_mod, ONLY : nbreg_dust, nbreg_ind, nbreg_bb
-  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h
+!!USE paramet_mod_h
 USE yomcst_mod_h
 IMPLICIT NONE
Index: /LMDZ6/trunk/libf/phylmd/Dust/read_dust.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/Dust/read_dust.f90	(revision 5336)
+++ /LMDZ6/trunk/libf/phylmd/Dust/read_dust.f90	(revision 5337)
@@ -4,6 +4,5 @@
   USE mod_phys_lmdz_para
   USE netcdf, ONLY: nf90_get_var, nf90_nowrite, nf90_open, nf90_inq_varid
-  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h
+!!USE paramet_mod_h
 IMPLICIT NONE
   !
@@ -50,5 +49,4 @@
 
   !
-  !  call correctbid(iim,jjp1,dust_nc)
   call correctbid(nbp_lon,nbp_lat,dust_nc_glo)
   !
@@ -62,5 +60,4 @@
    ! DO j=2,jjm
   DO j=2,nbp_lat-1
-      ! DO i = 1, iim
      DO i = 1, nbp_lon
   !--OB=change jjp1+1-j to j here
Index: /LMDZ6/trunk/libf/phylmd/Dust/read_newemissions.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/Dust/read_newemissions.f90	(revision 5336)
+++ /LMDZ6/trunk/libf/phylmd/Dust/read_newemissions.f90	(revision 5337)
@@ -25,6 +25,5 @@
   USE mod_phys_lmdz_para
 
-  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-  USE paramet_mod_h
+!!  USE paramet_mod_h
   USE condsurfs_new_mod, ONLY: condsurfs_new
 IMPLICIT NONE
Index: /LMDZ6/trunk/libf/phylmd/Dust/read_surface.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/Dust/read_surface.f90	(revision 5336)
+++ /LMDZ6/trunk/libf/phylmd/Dust/read_surface.f90	(revision 5337)
@@ -7,10 +7,10 @@
 !       USE comgeomphy
        USE dimphy
-       USE mod_grid_phy_lmdz
        USE mod_phys_lmdz_para
        USE iophy
        USE netcdf, ONLY: nf90_inq_varid,nf90_noerr,nf90_get_var,nf90_nowrite,nf90_inq_varid,nf90_open
-       USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h
+       USE mod_grid_phy_lmdz, ONLY: nbp_lon,  nbp_lat, klon_glo
+
+!!USE paramet_mod_h
 IMPLICIT NONE
 
@@ -20,8 +20,8 @@
        character*10 varname
 !
-       real tmp_dyn(iip1,jjp1)
+       real tmp_dyn(nbp_lon+1,nbp_lat)
        real tmp_dyn_glo(nbp_lon+1,nbp_lat)
 !       real tmp_dyn_glo(nbp_lon,nbp_lat)
-       REAL tmp_dyn_invers(iip1,jjp1)
+       REAL tmp_dyn_invers(nbp_lon+1,nbp_lat)
        real tmp_dyn_invers_glo(nbp_lon+1,nbp_lat)
 !       real tmp_dyn_invers_glo(nbp_lon,nbp_lat)
@@ -39,5 +39,5 @@
       character*4 ::  latstr,aux4s
       logical :: outcycle, isinversed
-      real, dimension(jjp1) :: lats
+      real, dimension(nbp_lat) :: lats
       real, dimension(nbp_lat) :: lats_glo
       integer, dimension(1) :: startj,endj
@@ -116,21 +116,12 @@
 
        
-!JE20140522!          call gr_dyn_fi_p(1, iip1, jjp1, klon, tmp_dyn_invers, tmp_fi)
-
-!JE20140526<<
-!              call gr_dyn_fi(1, iip1, jjp1, klon, tmp_dyn_invers, tmp_fi)
            if (isinversed) then
-                        call gr_dyn_fi(1, nbp_lon+1, nbp_lat, klon_glo, &
+                        call local_gr_dyn_fi(1, nbp_lon+1, nbp_lat, klon_glo, &
      & tmp_dyn_invers_glo, tmp_fi_glo)
-!              call gr_dyn_fi(1, iip1, jjp1, klon, tmp_dyn_invers, tmp_fi)
-!              call gr_dyn_fi_p(1, iip1, jjp1, klon, tmp_dyn_invers, tmp_fi)
            else      
-                        call gr_dyn_fi(1, nbp_lon+1, nbp_lat, klon_glo, &
+                        call local_gr_dyn_fi(1, nbp_lon+1, nbp_lat, klon_glo, &
      &   tmp_dyn_glo, tmp_fi_glo)
-!              call gr_dyn_fi(1, iip1, jjp1, klon, tmp_dyn, tmp_fi)
-!              call gr_dyn_fi_p(1, iip1, jjp1, klon, tmp_dyn, tmp_fi)
            endif
 !JE20140526>>
-!      call dump2d(iim,jjm-1,tmp_fi(2),'tmp_fi   ')
 !
           DO j=1,klon_glo
@@ -152,2 +143,40 @@
        return
        end subroutine read_surface
+
+      SUBROUTINE local_gr_dyn_fi(nfield,im,jm,ngrid,pdyn,pfi)
+      IMPLICIT NONE
+!=======================================================================
+!   passage d'un champ de la grille scalaire a la grille physique
+!=======================================================================
+
+!-----------------------------------------------------------------------
+!   declarations:
+!   -------------
+
+      INTEGER im,jm,ngrid,nfield
+      REAL pdyn(im,jm,nfield)
+      REAL pfi(ngrid,nfield)
+
+      INTEGER j,ifield,ig
+
+!-----------------------------------------------------------------------
+!   calcul:
+!   -------
+
+      IF(ngrid.NE.2+(jm-2)*(im-1).AND.ngrid.NE.1)                          &
+     &    STOP 'probleme de dim'
+!   traitement des poles
+      CALL SCOPY(nfield,pdyn,im*jm,pfi,ngrid)
+      CALL SCOPY(nfield,pdyn(1,jm,1),im*jm,pfi(ngrid,1),ngrid)
+
+!   traitement des point normaux
+      DO ifield=1,nfield
+         DO j=2,jm-1
+            ig=2+(j-2)*(im-1)
+            CALL SCOPY(im-1,pdyn(1,j,ifield),1,pfi(ig,ifield),1)
+         ENDDO
+      ENDDO
+
+      RETURN
+      END SUBROUTINE local_gr_dyn_fi
+
Index: /LMDZ6/trunk/libf/phylmd/Dust/read_vent.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/Dust/read_vent.f90	(revision 5336)
+++ /LMDZ6/trunk/libf/phylmd/Dust/read_vent.f90	(revision 5337)
@@ -5,6 +5,5 @@
   USE netcdf, ONLY: nf90_get_var, nf90_open, nf90_inq_varid, nf90_nowrite
    ! USE write_field_phy
-  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h
+!!USE paramet_mod_h
 IMPLICIT NONE
 
Index: /LMDZ6/trunk/libf/phylmd/Dust/seasalt.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/Dust/seasalt.f90	(revision 5336)
+++ /LMDZ6/trunk/libf/phylmd/Dust/seasalt.f90	(revision 5337)
@@ -8,5 +8,4 @@
   USE yoecumf_mod_h
     USE dimphy
-  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
 USE yomcst_mod_h
 IMPLICIT NONE
Index: /LMDZ6/trunk/libf/phylmd/Dust/sediment_mod.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/Dust/sediment_mod.f90	(revision 5336)
+++ /LMDZ6/trunk/libf/phylmd/Dust/sediment_mod.f90	(revision 5337)
@@ -11,6 +11,5 @@
   USE yoecumf_mod_h
      USE dimphy
-   USE infotrac
-  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+  USE infotrac_phy, ONLY: nbtr
 USE yomcst_mod_h
 IMPLICIT NONE
Index: /LMDZ6/trunk/libf/phylmd/Dust/tiedqneg.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/Dust/tiedqneg.f90	(revision 5336)
+++ /LMDZ6/trunk/libf/phylmd/Dust/tiedqneg.f90	(revision 5337)
@@ -2,5 +2,4 @@
   !
   USE dimphy
-  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
 IMPLICIT none
   !======================================================================
Index: /LMDZ6/trunk/libf/phylmd/Dust/trconvect.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/Dust/trconvect.f90	(revision 5336)
+++ /LMDZ6/trunk/libf/phylmd/Dust/trconvect.f90	(revision 5337)
@@ -6,9 +6,8 @@
 USE chem_mod_h
     USE dimphy
-  USE infotrac
+  USE infotrac_phy, ONLY : nbtr
   USE indice_sol_mod
 
-  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h
+!!USE paramet_mod_h
 USE yomcst_mod_h
 IMPLICIT NONE