Index: LMDZ6/trunk/libf/dynphy_lonlat/calfis_loc.F90
===================================================================
--- LMDZ6/trunk/libf/dynphy_lonlat/calfis_loc.F90	(revision 5364)
+++ LMDZ6/trunk/libf/dynphy_lonlat/calfis_loc.F90	(revision 5367)
@@ -4,4 +4,6 @@
 !
 !
+#ifdef CPP_PARA
+
 SUBROUTINE calfis_loc(lafin, &
         jD_cur, jH_cur, &
@@ -37,5 +39,4 @@
   USE lmdz_mpi
 
-#ifdef CPP_PARA
   USE parallel_lmdz,ONLY:omp_chunk,using_mpi,jjb_u,jje_u,jjb_v,jje_v &
         ,jj_begin_dyn=>jj_begin,jj_end_dyn=>jj_end
@@ -43,5 +44,4 @@
   Use Write_field_p
   USE Times
-#endif
   USE infotrac, ONLY: nqtot, tracers
   USE control_mod, ONLY: planet_type, nsplit_phys
@@ -50,5 +50,4 @@
   USE comconst_mod, ONLY: cpp, daysec, dtphys, dtvr, kappa, pi
   USE lmdz_cppkeys_wrapper, ONLY: CPPKEY_PHYS
-#ifdef CPP_PARA
   USE iniprint_mod_h
   USE comgeom2_mod_h
@@ -1208,5 +1207,4 @@
         "calfis_p: for now can only work with parallel physics", 1)
 END IF
+END SUBROUTINE calfis_loc
 #endif
-  ! of #ifdef CPP_PARA
-END SUBROUTINE calfis_loc
Index: LMDZ6/trunk/libf/dynphy_lonlat/gr_dyn_fi_p.F90
===================================================================
--- LMDZ6/trunk/libf/dynphy_lonlat/gr_dyn_fi_p.F90	(revision 5364)
+++ LMDZ6/trunk/libf/dynphy_lonlat/gr_dyn_fi_p.F90	(revision 5367)
@@ -2,6 +2,6 @@
 ! $Id$
 !
+#ifdef CPP_PARA
 SUBROUTINE gr_dyn_fi_p(nfield,im,jm,ngrid,pdyn,pfi)
-#ifdef CPP_PARA
   ! Interface with parallel physics,
   USE mod_interface_dyn_phys
@@ -39,6 +39,6 @@
   ENDDO
 !$OMP END DO NOWAIT
-#endif
   ! of #ifdef CPP_PARA
   RETURN
 END SUBROUTINE gr_dyn_fi_p
+#endif
Index: LMDZ6/trunk/libf/dynphy_lonlat/gr_fi_dyn_p.F90
===================================================================
--- LMDZ6/trunk/libf/dynphy_lonlat/gr_fi_dyn_p.F90	(revision 5364)
+++ LMDZ6/trunk/libf/dynphy_lonlat/gr_fi_dyn_p.F90	(revision 5367)
@@ -2,6 +2,7 @@
 ! $Id$
 !
+
+#ifdef CPP_PARA
 SUBROUTINE gr_fi_dyn_p(nfield,ngrid,im,jm,pfi,pdyn)
-#ifdef CPP_PARA
   ! Interface with parallel physics,
   USE mod_interface_dyn_phys
@@ -51,6 +52,6 @@
   ENDDO
 !$OMP END DO NOWAIT
-#endif
   ! of #ifdef CPP_PARA
   RETURN
 END SUBROUTINE gr_fi_dyn_p
+#endif
Index: LMDZ6/trunk/libf/phylmd/Dust/minmaxqfi2.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/Dust/minmaxqfi2.f90	(revision 5364)
+++ LMDZ6/trunk/libf/phylmd/Dust/minmaxqfi2.f90	(revision 5367)
@@ -6,5 +6,5 @@
    ! character*20 comment
   character(len=*) :: comment
-  real :: qmin,qmax
+  real :: qmin,qmax,zqmin,zqmax
   real :: zq(klon,klev)
 
Index: LMDZ6/trunk/libf/phylmd/Dust/minmaxsource.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/Dust/minmaxsource.f90	(revision 5364)
+++ LMDZ6/trunk/libf/phylmd/Dust/minmaxsource.f90	(revision 5367)
@@ -6,10 +6,9 @@
    ! character*20 comment
   character(len=*) :: comment
-  real :: qmin,qmax
+  real :: qmin,qmax,zqmin,zqmax
   real :: zq(klon,nbtr)
 
   integer :: ijmin, lmin, ijlmin
   integer :: ijmax, lmax, ijlmax
-
   integer :: ismin,ismax
 
Index: LMDZ6/trunk/libf/phylmd/StratAer/strataer_emiss_mod.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/StratAer/strataer_emiss_mod.f90	(revision 5364)
+++ LMDZ6/trunk/libf/phylmd/StratAer/strataer_emiss_mod.f90	(revision 5367)
@@ -1,16 +1,17 @@
 MODULE strataer_emiss_mod
   ! This module contains information about strato microphysic model emission parameters
-
+   IMPLICIT NONE; PRIVATE
+   PUBLIC strataer_emiss_init
 CONTAINS
 
   SUBROUTINE strataer_emiss_init()
-
     USE strataer_local_var_mod
-    USE ioipsl_getin_p_mod, ONLY : getin_p
-    USE print_control_mod, ONLY : lunout
+    USE ioipsl_getin_p_mod, ONLY: getin_p
+    USE print_control_mod, ONLY: lunout
     USE mod_phys_lmdz_para, ONLY : is_master
 
     ! Local variables
     INTEGER                  :: ispec
+    INTEGER :: klon  ! Amaury 12/24: cette déclaration était avant implicite (depuis longtemps !), mais c'est probablement un bug !? On devrait avoir `USE dimphy, ONLY: klon`. A corriger ultérieurement.. ?
 
     WRITE(lunout,*) 'IN STRATAER_EMISS INIT WELCOME!'
@@ -215,5 +216,5 @@
 
     USE yomcst_mod_h
-USE regular_lonlat_mod, ONLY: lon_reg, lat_reg
+    USE regular_lonlat_mod, ONLY: lon_reg, lat_reg
     USE dimphy, ONLY: klon
     USE mod_grid_phy_lmdz, ONLY: nbp_lat, nbp_lon
Index: LMDZ6/trunk/libf/phylmd/StratAer/traccoag_mod.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/StratAer/traccoag_mod.f90	(revision 5364)
+++ LMDZ6/trunk/libf/phylmd/StratAer/traccoag_mod.f90	(revision 5367)
@@ -4,4 +4,6 @@
 ! considering coagulation and sedimentation.
 !
+  IMPLICIT NONE; PRIVATE
+  PUBLIC traccoag
 CONTAINS
 
Index: LMDZ6/trunk/libf/phylmd/dyn1d/1Dconv.h
===================================================================
--- LMDZ6/trunk/libf/phylmd/dyn1d/1Dconv.h	(revision 5364)
+++ LMDZ6/trunk/libf/phylmd/dyn1d/1Dconv.h	(revision 5367)
@@ -822,4 +822,5 @@
       ENDIF
       END
+
       CHARACTER*(*) FUNCTION SPACES(STR,NSPACE)
 !
@@ -831,5 +832,7 @@
 !-    replaced by NSPACE blanks inside the string STR
 !
-      CHARACTER*(*) STR
+      CHARACTER*(*), INTENT(OUT) :: str
+      INTEGER, INTENT(INOUT) :: nspace
+      INTEGER :: iblank, inonbl, ispace, lenspa, i, lens
 !
       LENSPA = LEN(SPACES)
@@ -854,5 +857,6 @@
       IF (ISPACE.LE.LENSPA)                         GO TO 100
   999 END
-      FUNCTION INDEXC(STR,SSTR)
+
+      INTEGER FUNCTION INDEXC(STR,SSTR)
 !
 ! CERN PROGLIB# M433    INDEXC          .VERSION KERNFOR  4.14  860211
@@ -862,5 +866,6 @@
 !-    string STR scanning forward
 !
-      CHARACTER*(*) STR,SSTR
+      CHARACTER*(*), INTENT(IN) :: str, sstr
+      INTEGER :: lens, lenss, i
 !
       LENS   = LEN(STR)