Index: LMDZ6/trunk/libf/phylmd/rrtm/abor1.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/rrtm/abor1.F90	(revision 5371)
+++ LMDZ6/trunk/libf/phylmd/rrtm/abor1.F90	(revision 5390)
@@ -8,3 +8,3 @@
 
 return
-end
+end SUBROUTINE ABOR1
Index: LMDZ6/trunk/libf/phylmd/rrtm/dates.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/rrtm/dates.F90	(revision 5371)
+++ LMDZ6/trunk/libf/phylmd/rrtm/dates.F90	(revision 5390)
@@ -52,5 +52,5 @@
 
 IMPLICIT NONE
-end
+end subroutine dates_demo
 subroutine date_plus_ech(kan,kmo,kqu,psssss,pstati,cdtit)
 ! --------------------------------------------------------------
@@ -157,5 +157,6 @@
 	&,' VALID ',iquv,'.',imov,'.',ianv,' ',ihev,':',imiv,' UTC'
 endif
-end
+end subroutine date_plus_ech
+
 subroutine datc(kaaaa,kmm,kqq,khh,kmi,kss,kjs,cdjs,cddt)
 ! --------------------------------------------------------------
@@ -245,5 +246,6 @@
 write(cddt,fmt='(i4.4,a,2(i2.2,a),2a,i2.2,a,i2.2,a,i2.2)') &
 &kaaaa,'_',kmm,'_',kqq,'_',cdjs,'_',khh,':',kmi,':',kss
-end
+end subroutine datc
+
 subroutine amqhms_vers_dj(kaaaa,kmm,kqq,khh,kmn,ps,pdj)
 ! --------------------------------------------------------------------------
@@ -298,5 +300,6 @@
 pdj=2451545.0- 0.5 +real(iecart)+real(khh)/24. &
 & +real(kmn)/1440.+ps/86400.
-end
+end subroutine amqhms_vers_dj
+
 subroutine daplus(kdat1,kopt,kdelt,kdat2)
 ! --------------------------------------------------------------------------
@@ -350,5 +353,6 @@
 igre=igre+kdelt
 call gregoi(igre,kopt,kdat2)
-end
+end subroutine daplus
+
 subroutine daplusj(k1,kec,k2)
 ! --------------------------------------------------------------
@@ -385,5 +389,6 @@
 INTEGER(KIND=4) :: KEC
 call daplus(k1,1,kec,k2)
-end
+end subroutine daplusj
+
 subroutine dapluss(cd1,kec,cd2)
 ! --------------------------------------------------------------
@@ -462,5 +467,6 @@
 is2=ireste
 write(cd2,fmt='(i8,3i2.2)') iamq2,ih2,im2,is2
-end
+end subroutine dapluss
+
 subroutine dj_vers_amqhms(pdj,kaaaa,kmm,kqq,khh,kmn,ps)
 ! --------------------------------------------------------------------------
@@ -536,5 +542,6 @@
 kmn=int(zfrac)
 ps=(zfrac-real(kmn))*60.
-end
+end subroutine dj_vers_amqhms
+
 subroutine dj_vers_amqhmsree(pdj,pgrer)
 ! --------------------------------------------------------------------------
@@ -575,5 +582,6 @@
 & + real(iqq)+real(ihh)/100. &
 & + real(imn)/10000.+zs/1.E+06
-end
+end subroutine dj_vers_amqhmsree
+
 subroutine amqhmsree_vers_dj(pgrer,pdj)
 ! --------------------------------------------------------------------------
@@ -623,5 +631,6 @@
 !
 call amqhms_vers_dj(iaaaa,imm,iqq,ihh,imn,zs,pdj)
-end
+end subroutine amqhmsree_vers_dj
+
 subroutine ecartd(kdat1,kdat2,kopt,kgre)
 ! --------------------------------------------------------------------------
@@ -679,5 +688,6 @@
 call gregod(kdat2,kopt,igre2)
 kgre=igre2-igre1
-end
+end subroutine ecartd
+
 subroutine ecartdj(k1,k2,kec)
 ! --------------------------------------------------------------
@@ -718,5 +728,6 @@
 INTEGER(KIND=4) :: KEC
 call ecartd(k1,k2,1,kec)
-end
+end subroutine ecartdj
+
 subroutine ecartds(cd1,cd2,kec)
 ! --------------------------------------------------------------
@@ -778,5 +789,6 @@
 !
 kec=kecq*86400+(ih2-ih1)*3600+(im2-im1)*60+is2-is1
-end
+end subroutine ecartds
+
 subroutine gregod(kdat,kopt,kgre)
 ! --------------------------------------------------------------------------
@@ -944,5 +956,6 @@
 ! **      3. Difference in2-in1
 kgre=(in2-in1)*iconv+ifrjour
-end
+end subroutine gregod
+
 subroutine gregoi(kgre,kopt,kdat)
 ! --------------------------------------------------------------------------
@@ -1093,5 +1106,5 @@
 endif
 kdat=idat
-end
+end subroutine gregoi
 function ijoursem(kdat)
 ! --------------------------------------------------------------------------
@@ -1125,5 +1138,6 @@
 iecart=igre-igredim
 ijoursem=modulo(iecart,7)
-end
+end function ijoursem
+
 subroutine qqmmaa(kdatd,cdresd)
 ! --------------------------------------------------------------------------
@@ -1172,5 +1186,6 @@
 write(cdresd,fmt='(a3,a1,i2,a1,i2.2,a1,i4.4)')&
 &cljour,' ',iqq,'.',imm,'.',ian
-end
+end subroutine qqmmaa
+
 subroutine quant(kdate,kquant)
 ! --------------------------------------------------------------
@@ -1200,3 +1215,3 @@
 call ecartdj(ibase,kdate,iec)
 kquant=iec+1
-end
+end subroutine quant
Index: LMDZ6/trunk/libf/phylmd/rrtm/dump2ds.F
===================================================================
--- LMDZ6/trunk/libf/phylmd/rrtm/dump2ds.F	(revision 5371)
+++ LMDZ6/trunk/libf/phylmd/rrtm/dump2ds.F	(revision 5390)
@@ -111,3 +111,3 @@
       print*
       RETURN
-      END
+      END SUBROUTINE dump2ds
Index: LMDZ6/trunk/libf/phylmd/rrtm/set99.F
===================================================================
--- LMDZ6/trunk/libf/phylmd/rrtm/set99.F	(revision 5371)
+++ LMDZ6/trunk/libf/phylmd/rrtm/set99.F	(revision 5390)
@@ -59,3 +59,3 @@
       IFAX(10)=N
       RETURN
-      END
+      END SUBROUTINE SET99