Index: /LMDZ6/trunk/libf/phylmd/aeropt_5wv.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/aeropt_5wv.f90	(revision 5393)
+++ /LMDZ6/trunk/libf/phylmd/aeropt_5wv.f90	(revision 5394)
@@ -97,10 +97,10 @@
 !$OMP THREADPRIVATE(presnivs_19)
 
-  REAL, SAVE, DIMENSION(nb_level) :: A1_ASSSM_19, A2_ASSSM_19, A3_ASSSM_19,&
-          B1_ASSSM_19, B2_ASSSM_19, C1_ASSSM_19, C2_ASSSM_19,&
-          A1_CSSSM_19, A2_CSSSM_19, A3_CSSSM_19,&
-          B1_CSSSM_19, B2_CSSSM_19, C1_CSSSM_19, C2_CSSSM_19, &
-          A1_SSSSM_19, A2_SSSSM_19, A3_SSSSM_19,&
-          B1_SSSSM_19, B2_SSSSM_19, C1_SSSSM_19, C2_SSSSM_19
+REAL, SAVE, DIMENSION(nb_level) ::          A1_ASSSM_19, A2_ASSSM_19, A3_ASSSM_19
+REAL, SAVE, DIMENSION(nb_level) ::          B1_ASSSM_19, B2_ASSSM_19, C1_ASSSM_19, C2_ASSSM_19
+REAL, SAVE, DIMENSION(nb_level) ::          A1_CSSSM_19, A2_CSSSM_19, A3_CSSSM_19
+REAL, SAVE, DIMENSION(nb_level) ::          B1_CSSSM_19, B2_CSSSM_19, C1_CSSSM_19, C2_CSSSM_19
+REAL, SAVE, DIMENSION(nb_level) ::          A1_SSSSM_19, A2_SSSSM_19, A3_SSSSM_19
+REAL, SAVE, DIMENSION(nb_level) ::          B1_SSSSM_19, B2_SSSSM_19, C1_SSSSM_19, C2_SSSSM_19
 !$OMP THREADPRIVATE(A1_ASSSM_19, A2_ASSSM_19, A3_ASSSM_19)
 !$OMP THREADPRIVATE(B1_ASSSM_19, B2_ASSSM_19, C1_ASSSM_19, C2_ASSSM_19)
@@ -111,11 +111,10 @@
 
   ! Coefficient optiques interpole sur le nombre de niveau du modele
-  REAL, ALLOCATABLE,  DIMENSION(:), SAVE :: &
-          A1_ASSSM, A2_ASSSM, A3_ASSSM,&
-          B1_ASSSM, B2_ASSSM, C1_ASSSM, C2_ASSSM,&
-          A1_CSSSM, A2_CSSSM, A3_CSSSM,&
-          B1_CSSSM, B2_CSSSM, C1_CSSSM, C2_CSSSM, &
-          A1_SSSSM, A2_SSSSM, A3_SSSSM,&
-          B1_SSSSM, B2_SSSSM, C1_SSSSM, C2_SSSSM
+  REAL, ALLOCATABLE,  DIMENSION(:), SAVE ::  A1_ASSSM, A2_ASSSM, A3_ASSSM
+  REAL, ALLOCATABLE,  DIMENSION(:), SAVE ::  B1_ASSSM, B2_ASSSM, C1_ASSSM, C2_ASSSM
+  REAL, ALLOCATABLE,  DIMENSION(:), SAVE ::  A1_CSSSM, A2_CSSSM, A3_CSSSM
+  REAL, ALLOCATABLE,  DIMENSION(:), SAVE ::  B1_CSSSM, B2_CSSSM, C1_CSSSM, C2_CSSSM
+  REAL, ALLOCATABLE,  DIMENSION(:), SAVE ::  A1_SSSSM, A2_SSSSM, A3_SSSSM
+  REAL, ALLOCATABLE,  DIMENSION(:), SAVE ::  B1_SSSSM, B2_SSSSM, C1_SSSSM, C2_SSSSM
 !$OMP THREADPRIVATE(A1_ASSSM, A2_ASSSM, A3_ASSSM)
 !$OMP THREADPRIVATE(B1_ASSSM, B2_ASSSM, C1_ASSSM, C2_ASSSM)
Index: /LMDZ6/trunk/libf/phylmd/cpl_mod.F90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/cpl_mod.F90	(revision 5393)
+++ /LMDZ6/trunk/libf/phylmd/cpl_mod.F90	(revision 5394)
@@ -49,6 +49,5 @@
   !$OMP THREADPRIVATE(cpl_snow,cpl_evap,cpl_tsol)
 
-  REAL, ALLOCATABLE, SAVE:: cpl_delta_sst(:), cpl_delta_sal(:), cpl_dter(:), &
-       cpl_dser(:), cpl_dt_ds(:)
+  REAL, ALLOCATABLE, SAVE:: cpl_delta_sst(:), cpl_delta_sal(:), cpl_dter(:), cpl_dser(:), cpl_dt_ds(:)
   !$OMP THREADPRIVATE(cpl_delta_sst, cpl_delta_sal, cpl_dter, cpl_dser)
   !$OMP THREADPRIVATE(cpl_dt_ds)
@@ -98,6 +97,6 @@
   !$OMP THREADPRIVATE(cpl_snow2D, cpl_evap2D, cpl_tsol2D)
 
-  REAL, ALLOCATABLE, SAVE:: cpl_delta_sst_2D(:, :), cpl_delta_sal_2D(:, :), &
-       cpl_dter_2D(:, :), cpl_dser_2D(:, :), cpl_dt_ds_2D(:, :)
+  REAL, ALLOCATABLE, SAVE:: cpl_delta_sst_2D(:, :), cpl_delta_sal_2D(:, :) 
+  REAL, ALLOCATABLE, SAVE:: cpl_dter_2D(:, :), cpl_dser_2D(:, :), cpl_dt_ds_2D(:, :)
   !$OMP THREADPRIVATE(cpl_delta_sst_2D, cpl_delta_sal_2D)
   !$OMP THREADPRIVATE(cpl_dter_2D, cpl_dser_2D, cpl_dt_ds_2D)
Index: /LMDZ6/trunk/libf/phylmd/infotrac_phy.F90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/infotrac_phy.F90	(revision 5393)
+++ /LMDZ6/trunk/libf/phylmd/infotrac_phy.F90	(revision 5394)
@@ -108,15 +108,14 @@
 
    !=== DIMENSIONS OF THE TRACERS TABLES AND OTHER SCALAR VARIABLES
-   INTEGER,               SAVE :: nqtot,   &                    !--- Tracers nb in dynamics (incl. higher moments + H2O)
-                                  nbtr,    &                    !--- Tracers nb in physics  (excl. higher moments + H2O)
-                                  nqo,     &                    !--- Number of water phases
-                                  nqtottr, &                    !--- Number of tracers passed to phytrac (TO BE DELETED ?)
-                                  nqCO2                         !--- Number of tracers of CO2  (ThL)
+   INTEGER,               SAVE :: nqtot                       !--- Tracers nb in dynamics (incl. higher moments + H2O)
+   INTEGER,               SAVE :: nbtr                        !--- Tracers nb in physics  (excl. higher moments + H2O)
+   INTEGER,               SAVE :: nqo                         !--- Number of water phases
+   INTEGER,               SAVE :: nqtottr                     !--- Number of tracers passed to phytrac (TO BE DELETED ?)
+   INTEGER,               SAVE :: nqCO2                         !--- Number of tracers of CO2  (ThL)
    CHARACTER(LEN=maxlen), SAVE :: type_trac                     !--- Keyword for tracers type(s)
 !$OMP THREADPRIVATE(nqtot, nbtr, nqo, nqtottr, nqCO2, type_trac)
 
    !=== VARIABLES FOR INCA
-   INTEGER, DIMENSION(:), SAVE, ALLOCATABLE :: &
-                    conv_flg, pbl_flg                           !--- Convection / boundary layer activation (nbtr)
+   INTEGER, DIMENSION(:), SAVE, ALLOCATABLE ::  conv_flg, pbl_flg !--- Convection / boundary layer activation (nbtr)
 !$OMP THREADPRIVATE(conv_flg, pbl_flg)
 
Index: /LMDZ6/trunk/libf/phylmd/phys_output_mod.F90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/phys_output_mod.F90	(revision 5393)
+++ /LMDZ6/trunk/libf/phylmd/phys_output_mod.F90	(revision 5394)
@@ -134,11 +134,9 @@
 !!!!!!!!!! stockage dans une region limitee pour chaque fichier !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
     !                 entre [phys_out_lonmin,phys_out_lonmax] et [phys_out_latmin,phys_out_latmax]
-    LOGICAL, DIMENSION(nfiles), SAVE :: &
-      phys_out_regfkey = [.FALSE., .FALSE., .FALSE., .FALSE., .FALSE., .FALSE., .FALSE., .FALSE., .FALSE., .FALSE.]
-    REAL,    DIMENSION(nfiles), SAVE :: &
-      phys_out_lonmin  = [  -180.,   -180.,   -180.,   -180.,   -180.,   -180.,   -180.,   -180.,   -180.,   -180.], &
-      phys_out_lonmax  = [   180.,    180.,    180.,    180.,    180.,    180.,    180.,    180.,    180.,    180.], &
-      phys_out_latmin  = [   -90.,    -90.,    -90.,    -90.,    -90.,    -90.,    -90.,    -90.,    -90.,    -90.], &
-      phys_out_latmax  = [    90.,     90.,     90.,     90.,     90.,     90.,     90.,     90.,     90.,     90.]
+    LOGICAL, DIMENSION(nfiles), SAVE :: phys_out_regfkey = [.FALSE., .FALSE., .FALSE., .FALSE., .FALSE., .FALSE., .FALSE., .FALSE., .FALSE., .FALSE.]
+    REAL, DIMENSION(nfiles), SAVE ::  phys_out_lonmin  = [  -180.,   -180.,   -180.,   -180.,   -180.,   -180.,   -180.,   -180.,   -180.,   -180.]
+    REAL, DIMENSION(nfiles), SAVE ::  phys_out_lonmax  = [   180.,    180.,    180.,    180.,    180.,    180.,    180.,    180.,    180.,    180.]
+    REAL, DIMENSION(nfiles), SAVE ::  phys_out_latmin  = [   -90.,    -90.,    -90.,    -90.,    -90.,    -90.,    -90.,    -90.,    -90.,    -90.]
+    REAL, DIMENSION(nfiles), SAVE ::  phys_out_latmax  = [    90.,     90.,     90.,     90.,     90.,     90.,     90.,     90.,     90.,     90.]
     REAL, DIMENSION(klev,2) :: Ahyb_bounds, Bhyb_bounds
     REAL, DIMENSION(klev+1)   :: lev_index
Index: /LMDZ6/trunk/libf/phylmd/phys_state_var_mod.F90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/phys_state_var_mod.F90	(revision 5393)
+++ /LMDZ6/trunk/libf/phylmd/phys_state_var_mod.F90	(revision 5394)
@@ -87,6 +87,5 @@
 !$OMP THREADPRIVATE(prw_ancien, prlw_ancien, prsw_ancien, prbsw_ancien)
 #ifdef ISO
-      REAL, ALLOCATABLE, SAVE :: xt_ancien(:,:,:),xtl_ancien(:,:,:),xts_ancien(:,:,:), &
-              xtbs_ancien(:,:,:)
+      REAL, ALLOCATABLE, SAVE :: xt_ancien(:,:,:),xtl_ancien(:,:,:),xts_ancien(:,:,:), xtbs_ancien(:,:,:)
 !$OMP THREADPRIVATE(xt_ancien,xtl_ancien,xts_ancien,xtbs_ancien)
 #endif