Index: /LMDZ6/trunk/libf/phylmd/aeropt_2bands.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/aeropt_2bands.f90	(revision 5394)
+++ /LMDZ6/trunk/libf/phylmd/aeropt_2bands.f90	(revision 5395)
@@ -65,16 +65,16 @@
 !$OMP THREADPRIVATE(presnivs_19)
 
-  REAL, SAVE, DIMENSION(nb_level) :: A1_ASSSM_b1_19, A2_ASSSM_b1_19, A3_ASSSM_b1_19,&
-          B1_ASSSM_b1_19, B2_ASSSM_b1_19, C1_ASSSM_b1_19, C2_ASSSM_b1_19,&
-          A1_CSSSM_b1_19, A2_CSSSM_b1_19, A3_CSSSM_b1_19,&
-          B1_CSSSM_b1_19, B2_CSSSM_b1_19, C1_CSSSM_b1_19, C2_CSSSM_b1_19,&
-          A1_SSSSM_b1_19, A2_SSSSM_b1_19, A3_SSSSM_b1_19,&
-          B1_SSSSM_b1_19, B2_SSSSM_b1_19, C1_SSSSM_b1_19, C2_SSSSM_b1_19,&
-          A1_ASSSM_b2_19, A2_ASSSM_b2_19, A3_ASSSM_b2_19,&
-          B1_ASSSM_b2_19, B2_ASSSM_b2_19, C1_ASSSM_b2_19, C2_ASSSM_b2_19,&
-          A1_CSSSM_b2_19, A2_CSSSM_b2_19, A3_CSSSM_b2_19,&
-          B1_CSSSM_b2_19, B2_CSSSM_b2_19, C1_CSSSM_b2_19, C2_CSSSM_b2_19,&
-          A1_SSSSM_b2_19, A2_SSSSM_b2_19, A3_SSSSM_b2_19,&
-          B1_SSSSM_b2_19, B2_SSSSM_b2_19, C1_SSSSM_b2_19, C2_SSSSM_b2_19
+  REAL, SAVE, DIMENSION(nb_level) :: A1_ASSSM_b1_19, A2_ASSSM_b1_19, A3_ASSSM_b1_19
+  REAL, SAVE, DIMENSION(nb_level) :: B1_ASSSM_b1_19, B2_ASSSM_b1_19, C1_ASSSM_b1_19, C2_ASSSM_b1_19
+  REAL, SAVE, DIMENSION(nb_level) :: A1_CSSSM_b1_19, A2_CSSSM_b1_19, A3_CSSSM_b1_19
+  REAL, SAVE, DIMENSION(nb_level) :: B1_CSSSM_b1_19, B2_CSSSM_b1_19, C1_CSSSM_b1_19, C2_CSSSM_b1_19
+  REAL, SAVE, DIMENSION(nb_level) :: A1_SSSSM_b1_19, A2_SSSSM_b1_19, A3_SSSSM_b1_19
+  REAL, SAVE, DIMENSION(nb_level) :: B1_SSSSM_b1_19, B2_SSSSM_b1_19, C1_SSSSM_b1_19, C2_SSSSM_b1_19
+  REAL, SAVE, DIMENSION(nb_level) :: A1_ASSSM_b2_19, A2_ASSSM_b2_19, A3_ASSSM_b2_19
+  REAL, SAVE, DIMENSION(nb_level) :: B1_ASSSM_b2_19, B2_ASSSM_b2_19, C1_ASSSM_b2_19, C2_ASSSM_b2_19
+  REAL, SAVE, DIMENSION(nb_level) :: A1_CSSSM_b2_19, A2_CSSSM_b2_19, A3_CSSSM_b2_19
+  REAL, SAVE, DIMENSION(nb_level) :: B1_CSSSM_b2_19, B2_CSSSM_b2_19, C1_CSSSM_b2_19, C2_CSSSM_b2_19
+  REAL, SAVE, DIMENSION(nb_level) :: A1_SSSSM_b2_19, A2_SSSSM_b2_19, A3_SSSSM_b2_19
+  REAL, SAVE, DIMENSION(nb_level) :: B1_SSSSM_b2_19, B2_SSSSM_b2_19, C1_SSSSM_b2_19, C2_SSSSM_b2_19
 !$OMP THREADPRIVATE(A1_ASSSM_b1_19, A2_ASSSM_b1_19, A3_ASSSM_b1_19)
 !$OMP THREADPRIVATE(B1_ASSSM_b1_19, B2_ASSSM_b1_19, C1_ASSSM_b1_19, C2_ASSSM_b1_19)
@@ -92,17 +92,16 @@
 
 ! Coefficient optiques interpole sur le nombre de niveau du modele
-  REAL, ALLOCATABLE, DIMENSION(:), SAVE :: &
-          A1_ASSSM_b1, A2_ASSSM_b1, A3_ASSSM_b1,&
-          B1_ASSSM_b1, B2_ASSSM_b1, C1_ASSSM_b1, C2_ASSSM_b1,&
-          A1_CSSSM_b1, A2_CSSSM_b1, A3_CSSSM_b1,&
-          B1_CSSSM_b1, B2_CSSSM_b1, C1_CSSSM_b1, C2_CSSSM_b1,&
-          A1_SSSSM_b1, A2_SSSSM_b1, A3_SSSSM_b1,&
-          B1_SSSSM_b1, B2_SSSSM_b1, C1_SSSSM_b1, C2_SSSSM_b1,&
-          A1_ASSSM_b2, A2_ASSSM_b2, A3_ASSSM_b2,&
-          B1_ASSSM_b2, B2_ASSSM_b2, C1_ASSSM_b2, C2_ASSSM_b2,&
-          A1_CSSSM_b2, A2_CSSSM_b2, A3_CSSSM_b2,&
-          B1_CSSSM_b2, B2_CSSSM_b2, C1_CSSSM_b2, C2_CSSSM_b2,&
-          A1_SSSSM_b2, A2_SSSSM_b2, A3_SSSSM_b2,&
-          B1_SSSSM_b2, B2_SSSSM_b2, C1_SSSSM_b2, C2_SSSSM_b2
+  REAL, ALLOCATABLE, DIMENSION(:), SAVE ::  A1_ASSSM_b1, A2_ASSSM_b1, A3_ASSSM_b1
+  REAL, ALLOCATABLE, DIMENSION(:), SAVE ::  B1_ASSSM_b1, B2_ASSSM_b1, C1_ASSSM_b1, C2_ASSSM_b1
+  REAL, ALLOCATABLE, DIMENSION(:), SAVE ::  A1_CSSSM_b1, A2_CSSSM_b1, A3_CSSSM_b1
+  REAL, ALLOCATABLE, DIMENSION(:), SAVE ::  B1_CSSSM_b1, B2_CSSSM_b1, C1_CSSSM_b1, C2_CSSSM_b1
+  REAL, ALLOCATABLE, DIMENSION(:), SAVE ::  A1_SSSSM_b1, A2_SSSSM_b1, A3_SSSSM_b1
+  REAL, ALLOCATABLE, DIMENSION(:), SAVE ::  B1_SSSSM_b1, B2_SSSSM_b1, C1_SSSSM_b1, C2_SSSSM_b1
+  REAL, ALLOCATABLE, DIMENSION(:), SAVE ::  A1_ASSSM_b2, A2_ASSSM_b2, A3_ASSSM_b2
+  REAL, ALLOCATABLE, DIMENSION(:), SAVE ::  B1_ASSSM_b2, B2_ASSSM_b2, C1_ASSSM_b2, C2_ASSSM_b2
+  REAL, ALLOCATABLE, DIMENSION(:), SAVE ::  A1_CSSSM_b2, A2_CSSSM_b2, A3_CSSSM_b2
+  REAL, ALLOCATABLE, DIMENSION(:), SAVE ::  B1_CSSSM_b2, B2_CSSSM_b2, C1_CSSSM_b2, C2_CSSSM_b2
+  REAL, ALLOCATABLE, DIMENSION(:), SAVE ::  A1_SSSSM_b2, A2_SSSSM_b2, A3_SSSSM_b2
+  REAL, ALLOCATABLE, DIMENSION(:), SAVE ::  B1_SSSSM_b2, B2_SSSSM_b2, C1_SSSSM_b2, C2_SSSSM_b2
 !$OMP THREADPRIVATE(A1_ASSSM_b1, A2_ASSSM_b1, A3_ASSSM_b1)
 !$OMP THREADPRIVATE(B1_ASSSM_b1, B2_ASSSM_b1, C1_ASSSM_b1, C2_ASSSM_b1)
Index: /LMDZ6/trunk/libf/phylmd/mo_simple_plumes.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/mo_simple_plumes.f90	(revision 5394)
+++ /LMDZ6/trunk/libf/phylmd/mo_simple_plumes.f90	(revision 5395)
@@ -34,26 +34,24 @@
        nyears    = 251                           !< Number of years of available forcing
 
-  LOGICAL, SAVE ::                             &
-       sp_initialized = .FALSE.                  !< parameter determining whether input needs to be read
+  LOGICAL, SAVE :: sp_initialized = .FALSE.      !< parameter determining whether input needs to be read
 !$OMP THREADPRIVATE(sp_initialized)
 
-  REAL, SAVE ::                                &
-       plume_lat      (nplumes)               ,& !< latitude of plume center (AOD maximum)
-       plume_lon      (nplumes)               ,& !< longitude of plume center (AOD maximum)
-       beta_a         (nplumes)               ,& !< parameter a for beta function vertical profile
-       beta_b         (nplumes)               ,& !< parameter b for beta function vertical profile
-       aod_spmx       (nplumes)               ,& !< anthropogenic AOD maximum at 550 for plumes 
-       aod_fmbg       (nplumes)               ,& !< anthropogenic AOD at 550 for fine-mode natural background (idealized to mimic Twomey effect)
-       asy550         (nplumes)               ,& !< asymmetry parameter at 550nm for plume
-       ssa550         (nplumes)               ,& !< single scattering albedo at 550nm for plume
-       angstrom       (nplumes)               ,& !< Angstrom parameter for plume 
-       sig_lon_E      (nfeatures,nplumes)     ,& !< Eastward extent of plume feature
-       sig_lon_W      (nfeatures,nplumes)     ,& !< Westward extent of plume feature
-       sig_lat_E      (nfeatures,nplumes)     ,& !< Southward extent of plume feature
-       sig_lat_W      (nfeatures,nplumes)     ,& !< Northward extent of plume feature
-       theta          (nfeatures,nplumes)     ,& !< Rotation angle of plume feature
-       ftr_weight     (nfeatures,nplumes)     ,& !< Feature weights 
-       year_weight    (nyears,nplumes)        ,& !< Yearly weight for plume
-       ann_cycle      (nfeatures,ntimes,nplumes) !< annual cycle for plume feature
+  REAL, SAVE ::  plume_lat      (nplumes)                !< latitude of plume center (AOD maximum)
+  REAL, SAVE ::  plume_lon      (nplumes)                !< longitude of plume center (AOD maximum)
+  REAL, SAVE ::  beta_a         (nplumes)                !< parameter a for beta function vertical profile
+  REAL, SAVE ::  beta_b         (nplumes)                !< parameter b for beta function vertical profile
+  REAL, SAVE ::  aod_spmx       (nplumes)                !< anthropogenic AOD maximum at 550 for plumes 
+  REAL, SAVE ::  aod_fmbg       (nplumes)                !< anthropogenic AOD at 550 for fine-mode natural background (idealized to mimic Twomey effect)
+  REAL, SAVE ::  asy550         (nplumes)                !< asymmetry parameter at 550nm for plume
+  REAL, SAVE ::  ssa550         (nplumes)                !< single scattering albedo at 550nm for plume
+  REAL, SAVE ::  angstrom       (nplumes)                !< Angstrom parameter for plume 
+  REAL, SAVE ::  sig_lon_E      (nfeatures,nplumes)      !< Eastward extent of plume feature
+  REAL, SAVE ::  sig_lon_W      (nfeatures,nplumes)      !< Westward extent of plume feature
+  REAL, SAVE ::  sig_lat_E      (nfeatures,nplumes)      !< Southward extent of plume feature
+  REAL, SAVE ::  sig_lat_W      (nfeatures,nplumes)      !< Northward extent of plume feature
+  REAL, SAVE ::  theta          (nfeatures,nplumes)      !< Rotation angle of plume feature
+  REAL, SAVE ::  ftr_weight     (nfeatures,nplumes)      !< Feature weights 
+  REAL, SAVE ::  year_weight    (nyears,nplumes)         !< Yearly weight for plume
+  REAL, SAVE ::  ann_cycle      (nfeatures,ntimes,nplumes) !< annual cycle for plume feature
 !$OMP THREADPRIVATE(plume_lat,plume_lon,beta_a,beta_b,aod_spmx,aod_fmbg,asy550,ssa550,angstrom)
 !$OMP THREADPRIVATE(sig_lon_E,sig_lon_W,sig_lat_E,sig_lat_W,theta,ftr_weight,year_weight,ann_cycle)